//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// CommonHelpers satellite library | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;
using System.Reflection;

#if !WASM
namespace CommonHelpers {
#else
namespace CommonHelpers.WASM {
#endif

//**************************************************************************************************
partial class HOperationFailedException {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static string DefaultMessage
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "Operation failed.";
   case HInCodeSupportedLanguage.Russian: return "Операция потерпела неудачу.";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//==================================================================================================
//--------------------------------------------------------------------------------------------------
/*
public static string 
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "";
   case HInCodeSupportedLanguage.Russian: return "";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}
*/
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // HOperationFailedException
//**************************************************************************************************

} // CommonHelpers (.WASM)
